MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000594luatexluatex bugpublic2011-03-11 11:422018-01-23 13:56
ReporterTaco 
Assigned ToTaco 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Versionsome day (> v 1)Fixed in Version1.07.0 
Summary0000594: Lua font loading: out-of-range Lua numbers are not intercepted
DescriptionA number that fits in a double but not in an int will be converted
to a modulo number that can be anything, really
Additional InformationSolution: write private code instead of relying on lua_number2int()
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001684)
Hans Hagen (manager)
2018-01-23 13:56

different lua internals, integers alongside floats now

- Issue History
Date Modified Username Field Change
2011-03-11 11:42 Taco New Issue
2011-03-11 11:42 Taco Status new => assigned
2011-03-11 11:42 Taco Assigned To => Taco
2015-11-11 11:29 Hans Hagen Target Version => 0.90.0
2016-03-10 18:40 Hans Hagen Target Version 0.90.0 => 0.95.0
2016-09-12 13:34 Hans Hagen Target Version 0.95.0 => some day (> v 1)
2018-01-23 13:56 Hans Hagen Note Added: 0001684
2018-01-23 13:56 Hans Hagen Status assigned => closed
2018-01-23 13:56 Hans Hagen Resolution open => fixed
2018-01-23 13:56 Hans Hagen Fixed in Version => 1.07.0


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker